/* 
        MaslOutputStream.h

        MASL/M-MASL Copyright (c) KUNI/TDU
        Windows version Copyright (c) 1995, 1996 Tomoatsu Shimada  (shimarin)
        X Window System version Copyright (c)1997 Yamahata Isaku (ISA-9)
*/
#include <assert.h>

#include "MaslOutputStream.h"

ostream& MaslOutputStream::put16 (int data)
{
  //2byteǽ񤱤ϰ?
  assert (-32768<=data);
  assert (data<=32767);

  put (data & 0xff);
  return put ((data >> 8) & 0xff);
}

ostream& MaslOutputStream::put32 (int data)
{
  //4byteǽ񤱤ϰ?
  assert (-2147483647<=data);
  assert (data<=2147483647);

  put ( data       & 0xff);
  put ((data >> 8) & 0xff);
  put ((data >> 16) & 0xff);
  return  put ((data >> 24) & 0xff);
}
